import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.remove(
'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
);
curl -X DELETE 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend inboxes delete b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 --yes
{
"object": "inbox",
"id": "b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1",
"deleted": true
}
Delete Inbox
Remove an existing inbox.
DELETE
/
inboxes
/
:inbox_id
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.remove(
'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
);
curl -X DELETE 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend inboxes delete b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 --yes
{
"object": "inbox",
"id": "b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1",
"deleted": true
}
Inboxes are currently in private beta and only available to a limited
number of users. The response shape might change before GA. Get in
touch if you’re interested in testing this
feature.Once you have access, upgrade your Resend SDK to use the methods on this
page:
npm install resend@6.28.1-preview-inboxes.1
npm install -g resend-cli@2.22.0-preview-inboxes.1
Path Parameters
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.remove(
'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
);
curl -X DELETE 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend inboxes delete b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1 --yes
{
"object": "inbox",
"id": "b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1",
"deleted": true
}
Was this page helpful?
⌘I